Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.build.strategy
Interface BuildStrategyManager

All Known Implementing Classes:
  DefaultBuildStrategyManager

    public interface BuildStrategyManager

Interface to handle interactions with `BuildStrategy` objects

Field Summary
`static String` | `BUILD_STRATEGY_DAILY`
`static String` | `BUILD_STRATEGY_MANUAL`
`static String` | `BUILD_STRATEGY_POLLING`
`static String` | `BUILD_STRATEGY_SCHEDULED`
`static String` | `BUILD_STRATEGY_TRIGGERED`

Method Summary
`List` | `getBuildStrategies()` Retuns a list of available `BuildStrategy` objects
`BuildStrategy` | `getNewBuildStrategyInstance(String buildStrategyKey)` Takes in a BuildStrategy key a creates a new `BuildStrategy` for that key.

Field Detail

### BUILD_STRATEGY_POLLING

    static final String BUILD_STRATEGY_POLLING

See Also:
  Constant Field Values

### BUILD_STRATEGY_TRIGGERED

    static final String BUILD_STRATEGY_TRIGGERED

See Also:
  Constant Field Values

### BUILD_STRATEGY_DAILY

    static final String BUILD_STRATEGY_DAILY

See Also:
  Constant Field Values

### BUILD_STRATEGY_SCHEDULED

    static final String BUILD_STRATEGY_SCHEDULED

See Also:
  Constant Field Values

### BUILD_STRATEGY_MANUAL

    static final String BUILD_STRATEGY_MANUAL

See Also:
  Constant Field Values

Method Detail

### getBuildStrategies

    List getBuildStrategies()

  Retuns a list of available `BuildStrategy` objects

  Returns:
    Immutable list of `BuildStrategy`. Empty list if none exists.

### getNewBuildStrategyInstance

    BuildStrategy getNewBuildStrategyInstance(String buildStrategyKey)

  Takes in a BuildStrategy key a creates a new `BuildStrategy` for that key. Will default to a manual build if the key is invalid

  Parameters:
    `buildStrategyKey` - - Cann be null
  Returns:
    `BuildStrategy` matching the key. Can be null. Will return default `BuildStrategy` if invalid

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.